function init(code) {
				OpenLayers.Control.CustomNavToolbar = OpenLayers.Class(OpenLayers.Control.Panel, {
				    initialize: function(options) {
				        OpenLayers.Control.Panel.prototype.initialize.apply(this, [options]);
				        this.addControls([
				          new OpenLayers.Control.Navigation(),
				          new OpenLayers.Control.ZoomBox({alwaysZoom:true})
				        ]);
						this.displayClass = 'olControlNavToolbar'
				    },
				    draw: function() {
				        var div = OpenLayers.Control.Panel.prototype.draw.apply(this, arguments);
                        this.defaultControl = this.controls[0];
				        return div;
				    }
				});

	m = new OpenLayers.Map('map', {projection: "EPSG:900913"});
	m.addLayer(new OpenLayers.Layer.OSM( "Simple OSM Map"));

	m.addControl(new OpenLayers.Control.ScaleLine());
	m.addControl(new OpenLayers.Control.MousePosition());

    if (window.bounds) {
	var fromProjection = new OpenLayers.Projection("EPSG:4326");   
    var toProjection   = new OpenLayers.Projection("EPSG:900913");
	window.bounds.transform(fromProjection,toProjection);
    m.addLayer(new OpenLayers.Layer.Boxes('Emprise'));
	box = new OpenLayers.Marker.Box(bounds);
	box.setBorder("blue");
    m.layers[1].addMarker(box); 
    }
	
    var overview1 = new OpenLayers.Control.OverviewMap({
            maximized: true,
            maximizeTitle: 'Show the overview map',
            minimizeTitle: 'Hide the overview map'
    });
    m.addControl(overview1);
	
	var panel = new OpenLayers.Control.CustomNavToolbar();
	m.addControl(panel);

    m.events.register('moveend', m, function() {
		var toEProjection   = new OpenLayers.Projection("EPSG:4326");
		var mapbounds = m.getExtent().transform(m.projection, toEProjection);
		document.getElementById("mapbounds").value = mapbounds;
		var smapbounds = ""+mapbounds;
		var tmapbounds = smapbounds.split(',');
		document.getElementById("latnorth").value = tmapbounds[3];
		document.getElementById("latsouth").value = tmapbounds[1];
		document.getElementById("longwest").value = tmapbounds[0];
		document.getElementById("longeast").value = tmapbounds[2];
    });
    if (window.bounds) {
		m.setCenter(bounds.getCenterLonLat());
		/*m.zoomTo(4); */
		m.zoomToExtent(bounds)
    } else {    
        m.zoomToMaxExtent();
    }    
}    
function project_out(data) {
    if (data.coordinates) {
      document.getElementById("out").innerHTML = data.coordinates.join(", ");
    } else if (data.error) {
        if (window.console) {
            console.log(data.error);
        }
        document.getElementById('out').innerHTML = 'An error occurred.';
    }    
}

function resizemap(){
	var mywidth = document.getElementById("mapwidth").value;
	var myheight = document.getElementById("mapheight").value;
	document.getElementById("map").style.width = [mywidth].join("px");
	document.getElementById("map").style.height = [myheight].join("px");
	}

function selecttext(){	
	document.getElementById("mapbounds").select();
}	
